Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#18637 - [slim] doesn't start gnome-keyring-daemon

Attached to Project: Arch Linux
Opened by Heiko Baums (cyberpatrol) - Thursday, 11 March 2010, 15:49 GMT
Last edited by Gaetan Bisson (vesath) - Monday, 15 November 2010, 22:45 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Gaetan Bisson (vesath)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 2
Private No

Details

Description:
When starting Xfce with slim the gnome-keyring can't be accessed.

Please add these lines to slim.pam (/etc/pam.d/slim):
auth optional pam_gnome_keyring.so
session optional pam_gnome_keyring.so auto_start

Or to make it easier just copy gdm.pam (/etc/pam.d/gdm) from the package gdm to the package slim and rename it to slim.pam (/etc/pam.d/slim).
This task depends upon

Closed by  Gaetan Bisson (vesath)
Monday, 15 November 2010, 22:45 GMT
Reason for closing:  Fixed
Additional comments about closing:  gnome-2.30
Comment by Heiko Baums (cyberpatrol) - Thursday, 11 March 2010, 15:49 GMT
Or just take this file. It's the same.
   slim (0.4 KiB)
Comment by Ionut Biru (wonder) - Thursday, 11 March 2010, 18:24 GMT
read the comments maybe the fix is there: http://bugs.archlinux.org/task/18622
Comment by Heiko Baums (cyberpatrol) - Thursday, 11 March 2010, 18:45 GMT
I know this bug report, and this is a solution, too. But gdm has the pam method implemeted, too. So it probably can't hurt to copy this to slim. Otherwise these lines could or should be removed from /etc/pam.d/gdm, too.

I personally don't care how gnome-keyring is started. But I think it should be implemented consistently.
Comment by Gaetan Bisson (vesath) - Monday, 15 November 2010, 22:44 GMT
If I understand correctly, we don't need this since 2.30, as noted here: https://wiki.archlinux.org/index.php/SLiM#SLiM_and_Gnome_Keyring
If I'm wrong (note that I don't use GNOME (and understand little of it) myself), please ask for a reopen.

Loading...